<form novalidate
      (ngSubmit)="save()"
      [formGroup]="appointmentForm"
      style="margin: 40px 0">

  <div class="form-group">
    <label for="title">Title</label>
    <input type="text"
           class="form-control"
           id="title"
           placeholder="Enter title"
           formControlName="title"
           [ngClass]="{'is-invalid': (appointmentForm.get('title').touched ||
                                                appointmentForm.get('title').dirty) &&
                                                !appointmentForm.get('title').valid}"/>
    <span class="invalid-feedback">
                        <span *ngIf="appointmentForm.get('title').errors?.required">
                            Please enter your title.
                        </span>
        </span>
  </div>

  <div class="form-group">
    <label for="appointment-date">Appointment Date</label>
    <input type="date"
           class="form-control"
           id="appointment-date"
           placeholder="Enter date"
           formControlName="date"
           [ngClass]="{'is-invalid': (appointmentForm.get('date').touched ||
                                                appointmentForm.get('date').dirty) &&
                                                !appointmentForm.get('date').valid}"/>
    <span class="invalid-feedback">
                        <span *ngIf="appointmentForm.get('date').errors?.required">
                            Please choose a date.
                        </span>
        </span>
  </div>

  <div class="options-list" formArrayName="availableTime">
    <div *ngFor="let option of appointmentForm.controls['availableTime']['controls']; let i = index" class="position-relative">
      <div class="form-group" [formGroupName]="i">
        <div class="icon-close remove-answer"
             *ngIf="appointmentForm.controls['availableTime']['controls'].length > 1"
             (click)="removeDateOption(i)">X</div>
        <label for="time">Appointment Time</label>
        <input type="text"
               class="form-control w-75"
               id="time"
               placeholder="Enter time"
               formControlName="time"
               [ngClass]="{'is-invalid': (option.get('time').touched ||
                                                option.get('time').dirty) &&
                                                !option.get('time').valid}"/>
        <span class="invalid-feedback">
                        <span *ngIf="option.get('time').errors?.required">
                            Please choose a time.
                        </span>
        </span>
      </div>
      <div class="form-group" [formGroupName]="i">
        <label for="slots">Available Seats</label>
        <input type="text"
               class="form-control w-75"
               id="slots"
               placeholder="Total seats"
               formControlName="slots"
               [ngClass]="{'is-invalid': (option.get('slots').touched ||
                                                option.get('slots').dirty) &&
                                                !option.get('slots').valid}"/>
        <span class="invalid-feedback">
                        <span *ngIf="option.get('slots').errors?.required">
                            Please choose number of seats.
                        </span>
        </span>
      </div>
    </div>
    <button *ngIf="dateCount <= 10" (click)="addDateOption()" class="btn btn-outline-secondary mb-4" type="button">Add Options</button>
  </div>

  <button class="btn btn-primary"
          type="submit"
          [title]="appointmentForm.valid ? 'Save your entered data' : 'Disabled until the form data is valid'"
          [disabled]="!appointmentForm.valid">
    Create appointment
  </button>
</form>

